package css

type tokenType string

const (
	TokenType_Native        tokenType = "native"
	TokenType_Rule                    = "rule"
	TokenType_Selector                = "selector"
	TokenType_Closure                 = "closure"
	TokenType_Property                = "property"
	TokenType_PropertyName            = "propertyName"
	TokenType_PropertyValue           = "propertyValue"
)

var tokenTypeNames = map[tokenType]string{
	TokenType_Native:        "native",
	TokenType_Rule:          "rule",
	TokenType_Selector:      "selector",
	TokenType_Closure:       "closure",
	TokenType_Property:      "property",
	TokenType_PropertyName:  "propertyName",
	TokenType_PropertyValue: "propertyValue",
}
